%global pkgname dj_database_url

Name:           python-django-database-url
Version:        0.4.2
Release:        2%{?dist}
Summary:        Use Database URLs in your Django Application

Group:          Development/Languages
License:        BSD
URL:            https://github.com/kennethreitz/dj-database-url
Source0:        https://github.com/kennethreitz/dj-database-url/archive/v%{version}.tar.gz#/dj-database-url-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
This simple Django utility allows you to utilize the 12factor inspired
DATABASE_URL environment variable to configure your Django application.

%package -n python2-django-database-url
Summary:        Use Database URLs in your Django Application
Group:          Development/Languages
Requires:       python-django
%{?python_provide:%python_provide python2-django-database-url}

%description -n python2-django-database-url
This simple Django utility allows you to utilize the 12factor inspired
DATABASE_URL environment variable to configure your Django application.

%package -n python3-django-database-url
Summary:        Use Database URLs in your Django Application
Group:          Development/Languages
Requires:       python3-django
%{?python_provide:%python_provide python3-django-database-url}

%description -n python3-django-database-url
This simple Django utility allows you to utilize the 12factor inspired
DATABASE_URL environment variable to configure your Django application.

%prep
%autosetup -n dj-database-url-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} test_dj_database_url.py
%{__python3} test_dj_database_url.py

%files -n python2-django-database-url
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pkgname}.py*
%{python2_sitelib}/%{pkgname}-%{version}-py*.egg-info

%files -n python3-django-database-url
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pkgname}.py*
%{python3_sitelib}/__pycache__/%{pkgname}.cpython-*.py*
%{python3_sitelib}/%{pkgname}-%{version}-py*.egg-info

%changelog
* Sat Jul 01 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.4.2-2
- Python3 changes

* Sun Feb 26 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.4.2-1
- Version 0.4.2

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.4.0-1
- Version 0.4.0

* Wed Nov 18 2015 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.3.0-7
- Use python_provide macro
- Substitute some commands with macros

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 09 2015 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.3.0-4
- Use license macro

* Thu Dec 11 2014 Juan Orti <jorti@fedoraproject.org> - 0.3.0-3
- Add Python3 support
- Change Source0 to GitHub
- Run tests

* Wed Dec 03 2014 Juan Orti <jorti@fedoraproject.org> - 0.3.0-2
- Spec file cleanup

* Mon May 26 2014 Didier Fabert <didier.fabert@gmail.com> 0.3.0-1
- Initial RPM release
